gnutls_protocol_set_priority(3)

NAME
gnutls_protocol_set_priority - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_protocol_set_priority(gnutls_session_t session, const int * list);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const int * list
    is a 0 terminated list of gnutls_protocol_t elements.

DESCRIPTION
Sets the priority on the protocol versions supported by gnutls. This function actually enables or disables protocols. Newer protocol versions always have highest priority.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/